print('RUN : main.py')
import time
import network
from umail import SMTP
from time import sleep
from machine import Pin, ADC
from config import (
    WIFI_SSID, WIFI_PASS,
    MQTT_BROKER, MQTT_USER, MQTT_PASS,
    TOPIC_PREFIX
)
from umqtt.simple import MQTTClient
TOPIC_LPG = f'{TOPIC_PREFIX}/rlpg'
lpg=0
#connectWifi
def connect_wifi():
    station = network.WLAN(network.STA_IF)
    if station.isconnected() == True:
        print("Already connected")
        return
    station.active(True)
    station.connect(WIFI_SSID, WIFI_PASS)
    while station.isconnected() == False:
        pass
    print("Connection successful")
    print(station.ifconfig())
#connect mqtt
def connect_mqtt():
    print(f'Connecting to MQTT broker at {MQTT_BROKER}.')
    mqtt.connect()
    mqtt.set_callback(mqtt_callback)
    mqtt.subscribe(TOPIC_LPG)
    print('MQTT broker connected.')
def mqtt_callback(topic, payload):
    if topic.decode() == TOPIC_LPG:
        try:
            global lpg
            lpg = (float(payload))
        except ValueError:
            print("cant accept lpg value")
#setMqtt     
mqtt = MQTTClient(client_id='',
                  server=MQTT_BROKER,
                  user=MQTT_USER,
                  password=MQTT_PASS)
#setup
Digitalflame = Pin(8,Pin.IN)
FireStatus=0
sentTo= 'siwakorn.choop@ku.th'
connect_wifi()
connect_mqtt()
#loop
while True:
  mqtt.check_msg()
  sleep(1)
  if (Digitalflame.value()==0): #flame detection
    FireStatus=1
  else:#not detect
    FireStatus=0
  if FireStatus==1 and lpg <= 90:
    smtp = SMTP('smtp.gmail.com', 587,username='prime21771@gmail.com', password='xinavkyabgdbyjen')
    smtp.to(sentTo)
    smtp.send("ไฟไหม้บ้านแล้ว ยินดีด้วยนะ///ไฟไหม้บ้านแล้ว ยินดีด้วยนะ///ไฟไหม้บ้านแล้ว///ยินดีด้วยนะ") # Send an alert email
    smtp.quit()
  
  elif FireStatus==0 and lpg >= 90:
    smtp = SMTP('smtp.gmail.com', 587,username='prime21771@gmail.com', password='xinavkyabgdbyjen')
    smtp.to(sentTo)
    smtp.send("แก๊สรั่ว คนก็รั่ว///แก๊สรั่ว คนก็รั่ว///แก๊สรั่ว คนก็รั่ว///แก๊สรั่ว คนก็รั่ว") # Send an alert email
    smtp.quit()
    